Package com.macrofocus.high_d.parallelcoordinates.blending

# Class BlendingComposite

java.lang.Object
com.macrofocus.high_d.parallelcoordinates.blending.BlendingComposite

All Implemented Interfaces:
  `Composite`

public final class BlendingComposite extends Object implements Composite

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompositeContext`
  `createContext(ColorModel srcColorModel, ColorModel dstColorModel, RenderingHints hints)`
  `boolean`
  `equals(Object obj)`
  `static BlendingComposite`
  `getInstance(BlendingMode mode)`
  Creates a new composite based on the blending mode passed as a parameter.
  `static BlendingComposite`
  `getInstance(BlendingMode mode, float alpha)`
  Creates a new composite based on the blending mode and opacity passed as parameters.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static BlendingComposite getInstance(BlendingMode mode)

    Creates a new composite based on the blending mode passed as a parameter. A default opacity of 1.0 is applied.

    Parameters:
      `mode` - the blending mode defining the compositing rule
    Returns:
      a new `BlendComposite` based on the selected blending mode, with an opacity of 1.0

  - ### getInstance

    public static BlendingComposite getInstance(BlendingMode mode, float alpha)

    Creates a new composite based on the blending mode and opacity passed as parameters. The opacity must be a value between 0.0 and 1.0.

    Parameters:
      `mode` - the blending mode defining the compositing rule
      `alpha` - the constant alpha to be multiplied with the alpha of the source. `alpha` must be a floating point between 0.0 and 1.0.
    Returns:
      a new `BlendComposite` based on the selected blending mode and opacity
    Throws:
      `IllegalArgumentException` - if the opacity is less than 0.0 or greater than 1.0

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### createContext

    public CompositeContext createContext(ColorModel srcColorModel, ColorModel dstColorModel, RenderingHints hints)
    Specified by:
      `createContext` in interface `Composite`